%define plugin	vcd
%define rel	22

Summary:	VDR plugin: VideoCD Player
Name:		vdr-plugin-%plugin
Version:	0.9
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPLv2+
URL:		http://www.heiligenmann.de/vdr/vdr/plugins/vcd.html
#dead upstream !!!
Source0:		http://www.heiligenmann.de/vdr/download/vdr-%plugin-%version.tgz
#dead link but the tar.gz exist inside mageia


#Debian patches
Patch0:     01_Makefile-fPIC-fix.patch
Patch1:     90_vcd-0.9-1.7.3.patch
Patch2:     91_vcd-0.9-fix-INCLUDES.patch
Patch3:     vdr-1.7.27.patch
Patch4:     vdr-vcd-0.9_devicetrickspeed.patch

BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi
Requires(post):	vdr-common

%description
This plugin adds the functionality to replay VideoCDs (and Super VideoCDs)
from within VDR (by Klaus Schmidinger).

%prep
%setup -q -n %plugin-%version
%autopatch -p1
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# use DEV as the CD-ROM device
# default: /dev/cdrom
var=VCD_DEVICE
param=--vcd=VCD_DEVICE
%vdr_plugin_params_end

%build


%install
mkdir -p %buildroot%_libdir/vdr
%vdr_plugin_build LIBDIR=%buildroot%_libdir/vdr
%vdr_plugin_install

%post
%{_bindir}/gpasswd -a vdr cdrom >/dev/null
%{_bindir}/gpasswd -a vdr cdwriter >/dev/null

%files -f %plugin.vdr
%doc README COPYING HISTORY


%changelog
* Thu Mar 23 2023 philippedidier <philippedidier> 0.9-22.mga9
+ Revision: 1950162
- add debian patches to build
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ wally <wally>
- rebuild for vdr 2.4.6

* Fri Feb 14 2020 umeabot <umeabot> 0.9-19.mga8
+ Revision: 1517779
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 0.9-18.mga7
+ Revision: 1301600
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.9-17.mga6
+ Revision: 951660
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 0.9-16.mga5
+ Revision: 808507
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Nov 24 2014 anssi <anssi> 0.9-15.mga5
+ Revision: 798690
- rebuild for new VDR
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.9-12.mga4
+ Revision: 544774
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 0.9-11.mga4
+ Revision: 500245
- rebuild for new VDR

* Mon Jan 14 2013 umeabot <umeabot> 0.9-10.mga3
+ Revision: 385362
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 0.9-9.mga3
+ Revision: 326245
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.9-8.mga2
+ Revision: 221061
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.9-7.mga2
+ Revision: 214891
- rebuild for VDR 1.7.23
- fix build with VDR 1.7.3+ (1.7.3.dpatch, from e-tobi)

* Sat May 14 2011 anssi <anssi> 0.9-6.mga1
+ Revision: 98625
- fix license tag
- drop old scriptlets
- imported package vdr-plugin-vcd

